org.apache.solr.client.solrj.request

## Enum CoreApiMapping.Meta

- java.lang.Object
- - java.lang.Enum<CoreApiMapping.Meta>
  - - org.apache.solr.client.solrj.request.CoreApiMapping.Meta

All Implemented Interfaces:
  Serializable, Comparable<CoreApiMapping.Meta>, CollectionApiMapping.CommandMeta

Enclosing class:
  CoreApiMapping

    public static enum CoreApiMapping.Meta
    extends Enum<CoreApiMapping.Meta>
    implements CollectionApiMapping.CommandMeta

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`CREATE`
`FORCEPREPAREFORLEADERSHIP`
`INVOKE`
`MERGEINDEXES`
`OVERSEEROP`
`PREPRECOVERY`
`REJOINLEADERELECTION`
`RELOAD`
`RENAME`
`REQUESTAPPLYUPDATES`
`REQUESTBUFFERUPDATES`
`REQUESTRECOVERY`
`REQUESTSTATUS`
`REQUESTSYNCSHARD`
`SPLIT`
`STATUS`
`SWAP`
`UNLOAD`

### Field Summary

Fields
`CoreAdminParams.CoreAdminAction` `action`
`String` `commandName`
`CoreApiMapping.EndPoint` `endPoint`
`SolrRequest.METHOD` `method`
`Map<String,String>` `paramstoAttr`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`CollectionApiMapping.V2EndPoint` `getEndPoint()`
`SolrRequest.METHOD` `getHttpMethod()` the http method supported by this command
`String` `getName()`
`String` `getParamSubstitute(String param)`
`static CoreApiMapping.Meta` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static CoreApiMapping.Meta[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.apache.solr.client.solrj.request.CollectionApiMapping.CommandMeta

`getParamNames`

### Enum Constant Detail

#### CREATE

    public static final CoreApiMapping.Meta CREATE

#### UNLOAD

    public static final CoreApiMapping.Meta UNLOAD

#### RELOAD

    public static final CoreApiMapping.Meta RELOAD

#### STATUS

    public static final CoreApiMapping.Meta STATUS

#### SWAP

    public static final CoreApiMapping.Meta SWAP

#### RENAME

    public static final CoreApiMapping.Meta RENAME

#### MERGEINDEXES

    public static final CoreApiMapping.Meta MERGEINDEXES

#### SPLIT

    public static final CoreApiMapping.Meta SPLIT

#### PREPRECOVERY

    public static final CoreApiMapping.Meta PREPRECOVERY

#### REQUESTRECOVERY

    public static final CoreApiMapping.Meta REQUESTRECOVERY

#### REQUESTSYNCSHARD

    public static final CoreApiMapping.Meta REQUESTSYNCSHARD

#### REQUESTBUFFERUPDATES

    public static final CoreApiMapping.Meta REQUESTBUFFERUPDATES

#### REQUESTAPPLYUPDATES

    public static final CoreApiMapping.Meta REQUESTAPPLYUPDATES

#### REQUESTSTATUS

    public static final CoreApiMapping.Meta REQUESTSTATUS

#### OVERSEEROP

    public static final CoreApiMapping.Meta OVERSEEROP

#### REJOINLEADERELECTION

    public static final CoreApiMapping.Meta REJOINLEADERELECTION

#### INVOKE

    public static final CoreApiMapping.Meta INVOKE

#### FORCEPREPAREFORLEADERSHIP

    public static final CoreApiMapping.Meta FORCEPREPAREFORLEADERSHIP

### Field Detail

#### commandName

    public final String commandName

#### endPoint

    public final CoreApiMapping.EndPoint endPoint

#### method

    public final SolrRequest.METHOD method

#### action

    public final CoreAdminParams.CoreAdminAction action

#### paramstoAttr

    public final Map<String,String> paramstoAttr

### Method Detail

#### values

    public static CoreApiMapping.Meta[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (CoreApiMapping.Meta c : CoreApiMapping.Meta.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static CoreApiMapping.Meta valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### getName

    public String getName()

Specified by:
  `getName` in interface `CollectionApiMapping.CommandMeta`

#### getHttpMethod

    public SolrRequest.METHOD getHttpMethod()

Description copied from interface: `CollectionApiMapping.CommandMeta`
the http method supported by this command

Specified by:
  `getHttpMethod` in interface `CollectionApiMapping.CommandMeta`

#### getEndPoint

    public CollectionApiMapping.V2EndPoint getEndPoint()

Specified by:
  `getEndPoint` in interface `CollectionApiMapping.CommandMeta`

#### getParamSubstitute

    public String getParamSubstitute(String param)

Specified by:
  `getParamSubstitute` in interface `CollectionApiMapping.CommandMeta`